Bug 18559 - ftpd makes DNS lookups even though nsswitch disables it
ftpd makes DNS lookups even though nsswitch disables it
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-10-06 14:23 EDT by peter.stamfest
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-12 17:01:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description peter.stamfest 2000-10-06 14:23:48 EDT
ftpd from wu-ftpd makes DNS requests to resolve the source ip-address even
though it shouldn't.

Thsi happens even though the ip address under question is in /etc/hosts:       localhost

and nsswitch.conf contains:

	hosts:      files 

/etc/resolv.conf contains entries for name servers (I would like to have
"hosts: files dns" in nsswitch.conf, actually).

So DNS is configured not to be used...
The rest is completey standard RH7.0

But maybe this is a "feature"?! (Though I would call it a bug.)
Comment 1 Bernhard Rosenkraenzer 2000-10-07 04:03:47 EDT
Looking into it...
Comment 2 WU-FTPD Development Group 2001-03-12 17:01:23 EST
Specifically tested.  /etc/hosts is followed correctly.  The only possible 
cause I can come up with is a library mismatch.

Non-duplicatable, close this ticket.

Note You need to log in before you can comment on or make changes to this bug.